aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2012-12-25 23:15:29 +0100
committerGilles Dartiguelongue <eva@gentoo.org>2012-12-26 00:55:45 +0100
commit85489b9017301b3da044dd50116324d31847f760 (patch)
tree697f8d9e91db3de09d07b9978420001dbb99ef6f /www-client
parentnet-libs/webkit-gtk: moved 1.10 to gx86 (diff)
downloadgnome-85489b9017301b3da044dd50116324d31847f760.tar.gz
gnome-85489b9017301b3da044dd50116324d31847f760.tar.bz2
gnome-85489b9017301b3da044dd50116324d31847f760.zip
www-client/epiphany: moved to gx86
* Sync live ebuild with gx86 changes. * Add metadata.xml.
Diffstat (limited to 'www-client')
-rw-r--r--www-client/epiphany/Manifest1
-rw-r--r--www-client/epiphany/epiphany-3.6.1.ebuild93
-rw-r--r--www-client/epiphany/epiphany-9999.ebuild52
-rw-r--r--www-client/epiphany/metadata.xml9
4 files changed, 42 insertions, 113 deletions
diff --git a/www-client/epiphany/Manifest b/www-client/epiphany/Manifest
deleted file mode 100644
index d6602905..00000000
--- a/www-client/epiphany/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST epiphany-3.6.1.tar.xz 2479828 SHA256 1b4e33e02f7653489be9c49d182be84da13348b4ad3cb4c09c643898586a6008 SHA512 6b0228be7b1303f6af0090d13e83a1fe76132b9ff220d76c7db4f6b07f6c87829fbb1489a728c1300cf49f1bcfe2d3f3e18875a8c44694eb0b2778a3e75caa10 WHIRLPOOL 5cf1ae08c3d03f0b586954c1216dbcf80a680bccbe81dd3006d2e560210ac95076624afd78c95453a471cae9279fbbc104094e5b34fa499bc5bb92c8b17f42d2
diff --git a/www-client/epiphany/epiphany-3.6.1.ebuild b/www-client/epiphany/epiphany-3.6.1.ebuild
deleted file mode 100644
index f6c8d34d..00000000
--- a/www-client/epiphany/epiphany-3.6.1.ebuild
+++ /dev/null
@@ -1,93 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/epiphany/epiphany-3.2.1.ebuild,v 1.1 2011/11/06 04:57:01 tetromino Exp $
-
-EAPI="4"
-GCONF_DEBUG="yes"
-
-inherit autotools eutils gnome2 pax-utils versionator virtualx
-if [[ ${PV} = 9999 ]]; then
- inherit gnome2-live
-fi
-
-DESCRIPTION="GNOME webbrowser based on Webkit"
-HOMEPAGE="http://projects.gnome.org/epiphany/"
-
-# TODO: coverage
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="doc +introspection +jit +nss test"
-if [[ ${PV} = 9999 ]]; then
- KEYWORDS=""
-else
- KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-fi
-
-RDEPEND="
- >=app-crypt/gcr-3.5.5
- >=app-text/iso-codes-0.35
- >=dev-libs/glib-2.31.2:2
- >=dev-libs/libxml2-2.6.12:2
- >=dev-libs/libxslt-1.1.7
- >=gnome-base/gnome-keyring-2.26.0
- >=gnome-base/gsettings-desktop-schemas-0.0.1
- >=net-dns/avahi-0.6.22
- >=net-libs/webkit-gtk-1.9.6:3[introspection?]
- >=net-libs/libsoup-gnome-2.39.6:2.4
- >=x11-libs/gtk+-3.5.2:3[introspection?]
- >=x11-libs/libnotify-0.5.1
- gnome-base/gnome-desktop:3
-
- dev-db/sqlite:3
- x11-libs/libX11
-
- x11-themes/gnome-icon-theme
- x11-themes/gnome-icon-theme-symbolic
-
- introspection? ( >=dev-libs/gobject-introspection-0.9.5 )
- !jit? ( net-libs/webkit-gtk[-jit] )
- nss? ( dev-libs/nss )"
-# paxctl needed for bug #407085
-# eautoreconf requires gnome-common-3.5.5
-DEPEND="${RDEPEND}
- introspection? ( jit? ( >=gnome-base/gnome-common-3.5.5 ) )
- >=dev-util/intltool-0.50
- sys-apps/paxctl
- sys-devel/gettext
- virtual/pkgconfig
- doc? ( >=dev-util/gtk-doc-1 )"
-
-pkg_setup() {
- DOCS="AUTHORS ChangeLog* HACKING MAINTAINERS NEWS README TODO"
- G2CONF="${G2CONF}
- --enable-shared
- --disable-schemas-compile
- --disable-static
- --with-distributor-name=Gentoo
- $(use_enable introspection)
- $(use_enable nss)
- $(use_enable test tests)"
-}
-
-src_prepare() {
- # Build-time segfaults under PaX with USE=introspection when building
- # against webkit-gtk[introspection,jit]
- if use introspection && use jit; then
- epatch "${FILESDIR}/${PN}-3.3.90-paxctl-introspection.patch"
- cp "${FILESDIR}/paxctl.sh" "${S}/" || die
- [[ ${PV} != 9999 ]] && eautoreconf
- fi
- gnome2_src_prepare
-}
-
-src_test() {
- # FIXME: this should be handled at eclass level
- "${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/data" || die
-
- GSETTINGS_SCHEMA_DIR="${S}/data" Xemake check
-}
-
-src_install() {
- gnome2_src_install
- use jit && pax-mark m "${ED}usr/bin/epiphany"
-}
diff --git a/www-client/epiphany/epiphany-9999.ebuild b/www-client/epiphany/epiphany-9999.ebuild
index f6c8d34d..fe0c26aa 100644
--- a/www-client/epiphany/epiphany-9999.ebuild
+++ b/www-client/epiphany/epiphany-9999.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/epiphany/epiphany-3.2.1.ebuild,v 1.1 2011/11/06 04:57:01 tetromino Exp $
+# $Header: $
-EAPI="4"
+EAPI="5"
GCONF_DEBUG="yes"
inherit autotools eutils gnome2 pax-utils versionator virtualx
@@ -16,8 +16,9 @@ HOMEPAGE="http://projects.gnome.org/epiphany/"
# TODO: coverage
LICENSE="GPL-2"
SLOT="0"
-IUSE="doc +introspection +jit +nss test"
+IUSE="+introspection +jit +nss test"
if [[ ${PV} = 9999 ]]; then
+ IUSE="${IUSE} doc"
KEYWORDS=""
else
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
@@ -35,8 +36,8 @@ RDEPEND="
>=net-libs/webkit-gtk-1.9.6:3[introspection?]
>=net-libs/libsoup-gnome-2.39.6:2.4
>=x11-libs/gtk+-3.5.2:3[introspection?]
- >=x11-libs/libnotify-0.5.1
- gnome-base/gnome-desktop:3
+ >=x11-libs/libnotify-0.5.1:=
+ gnome-base/gnome-desktop:3=
dev-db/sqlite:3
x11-libs/libX11
@@ -46,44 +47,57 @@ RDEPEND="
introspection? ( >=dev-libs/gobject-introspection-0.9.5 )
!jit? ( net-libs/webkit-gtk[-jit] )
- nss? ( dev-libs/nss )"
+ nss? ( dev-libs/nss )
+"
# paxctl needed for bug #407085
# eautoreconf requires gnome-common-3.5.5
DEPEND="${RDEPEND}
introspection? ( jit? ( >=gnome-base/gnome-common-3.5.5 ) )
+ >=dev-util/gtk-doc-am-1
>=dev-util/intltool-0.50
sys-apps/paxctl
sys-devel/gettext
virtual/pkgconfig
- doc? ( >=dev-util/gtk-doc-1 )"
+"
+if [[ ${PV} = 9999 ]]; then
+ DEPEND="${DEPEND}
+ doc? ( >=dev-util/gtk-doc-1 )"
+fi
+
+src_prepare() {
+ # Build-time segfaults under PaX with USE=introspection when building
+ # against webkit-gtk[introspection,jit]
+ if use introspection && use jit; then
+ epatch "${FILESDIR}/${PN}-3.3.90-paxctl-introspection.patch"
+ cp "${FILESDIR}/paxctl.sh" "${S}/" || die
+ [[ ${PV} != 9999 ]] && eautoreconf
+ fi
+ gnome2_src_prepare
+}
-pkg_setup() {
+src_configure() {
DOCS="AUTHORS ChangeLog* HACKING MAINTAINERS NEWS README TODO"
G2CONF="${G2CONF}
--enable-shared
- --disable-schemas-compile
--disable-static
--with-distributor-name=Gentoo
$(use_enable introspection)
$(use_enable nss)
$(use_enable test tests)"
+ gnome2_src_configure
}
-src_prepare() {
- # Build-time segfaults under PaX with USE=introspection when building
- # against webkit-gtk[introspection,jit]
- if use introspection && use jit; then
- epatch "${FILESDIR}/${PN}-3.3.90-paxctl-introspection.patch"
- cp "${FILESDIR}/paxctl.sh" "${S}/" || die
- [[ ${PV} != 9999 ]] && eautoreconf
- fi
- gnome2_src_prepare
+src_compile() {
+ # needed to avoid "Command line `dbus-launch ...' exited with non-zero exit status 1"
+ unset DISPLAY
+ gnome2_src_compile
}
src_test() {
# FIXME: this should be handled at eclass level
"${EROOT}${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/data" || die
+ use jit && pax-mark m $(list-paxables tests/test*) #415801
GSETTINGS_SCHEMA_DIR="${S}/data" Xemake check
}
diff --git a/www-client/epiphany/metadata.xml b/www-client/epiphany/metadata.xml
new file mode 100644
index 00000000..9421843c
--- /dev/null
+++ b/www-client/epiphany/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>gnome</herd>
+ <use>
+ <flag name="introspection">Use <pkg>dev-libs/gobject-introspection</pkg> for introspection</flag>
+ <flag name="nss">Import passwords from older gecko based <pkg>www-client/epiphany</pkg> keyring.</flag>
+ </use>
+</pkgmetadata>